2017-02-28 12:23 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003878Kali Linux[All Projects] General Bugpublic2017-02-24 11:19
Reportervu4rac0d3 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusfeedbackResolutionreopened 
Product Version2016.2 
Target VersionFixed in Version 
Summary0003878: ctrl, alt and super keys not working
Descriptionctrl, alt and super keys gives me the same input as SHIFT L, and SHIFT R also acts as SHIFT L
I use a USB KEYBOARD

I've tried the USB Keyboard on my second PC which has W7 installed and everything works fine..
Additional Informationuname -a

Linux kali-vu4ra 4.9.0-kali1-amd64 0000001 SMP Debian 4.9.6-3kali2 (2017-01-30) x86_64 GNU/Linux
#########################################################################
lsusb -v -d 1c4f:0056

Bus 002 Device 012: ID 1c4f:0056 SiGma Micro
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x1c4f SiGma Micro
  idProduct 0x0056
  bcdDevice 3.70
  iManufacturer 1 SIGMACH1P
  iProduct 2 USB Keyboard
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 59
    bNumInterfaces 2
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 98mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 1 Boot Interface Subclass
      bInterfaceProtocol 1 Keyboard
      iInterface 0
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.10
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 54
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 10
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 0 No Subclass
      bInterfaceProtocol 1 Keyboard
      iInterface 0
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.10
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 141
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 10
Device Status: 0x0000
  (Bus Powered)
############################################################
lsmod | grep hid

hid_generic 16384 0
usbhid 53248 0
hid 122880 2 hid_generic,usbhid
usbcore 249856 8 usbmon,ath9k_htc,uvcvideo,usbhid,ehci_hcd,ipheth,usbtest,ehci_pci
############################################################
lsmod | grep usb

usbmon 28672 0
usbtest 36864 0
usbhid 53248 0
hid 122880 2 hid_generic,usbhid
usbcore 249856 8 usbmon,ath9k_htc,uvcvideo,usbhid,ehci_hcd,ipheth,usbtest,ehci_pci
usb_common 16384 2 usbcore,usbtest
############################################################
dmesg output

[156432.086788] usb 2-1.3: USB disconnect, device number 12
[156435.892495] usb 2-1.3: new low-speed USB device number 13 using ehci-pci
[156436.010938] usb 2-1.3: New USB device found, idVendor=1c4f, idProduct=0056
[156436.010941] usb 2-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[156436.010943] usb 2-1.3: Product: USB Keyboard
[156436.010944] usb 2-1.3: Manufacturer: SIGMACH1P
[156436.014854] input: SIGMACH1P USB Keyboard as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/2-1.3:1.0/0003:1C4F:0056.000E/input/input38
[156436.073084] hid-generic 0003:1C4F:0056.000E: input,hidraw0: USB HID v1.10 Keyboard [SIGMACH1P USB Keyboard] on usb-0000:00:1d.0-1.3/input0
[156436.080920] input: SIGMACH1P USB Keyboard as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/2-1.3:1.1/0003:1C4F:0056.000F/input/input39
[156436.140795] hid-generic 0003:1C4F:0056.000F: input,hidraw1: USB HID v1.10 Keyboard [SIGMACH1P USB Keyboard] on usb-0000:00:1d.0-1.3/input1

Attached Files

-Relationships
+Relationships

-Notes

~0006385

rhertzog (administrator)

Try "dpkg-reconfigure keyboard-configuration". Maybe you picked some options that you should not...

It seems unlikely that the USB keyboard driver has issues. In any case, you have not proven that we have a bug and that it's not a configuration issue. Maybe you should seek help on forums.kali.org first.

~0006450

vu4rac0d3 (reporter)

it's not a configuration issue... i tried it with every possible choice in "dpkg-reconfigure keyboard-configuration" without success..
I tried it also with a live USB instance of kali 2016.2 and the same behavior..
currently I'm writing a RHEL iso to the pendrive just to test if it is a UNIX problem...
On Windows 7 the keyboard is working without any problems.. It's recognized as a IBM enhanced (101 - or102-key) keyboard and the standard keyboard.inf, hidserv.inf and input.inf are loaded in the properties, the only thing that catches my attention was that in the detailed view where input.inf was listed i saw a INF section pointing to HID_RAW_Inst.NT.. I'm stuck.. please point me in the right direction.. I've tried it on the Forum, but nobody answered and there is also one user who have had the same problem..
+Notes

-Issue History
Date Modified Username Field Change
2017-02-13 18:27 vu4rac0d3 New Issue
2017-02-13 19:41 rhertzog Assigned To => rhertzog
2017-02-13 19:41 rhertzog Status new => closed
2017-02-13 19:41 rhertzog Resolution open => won't fix
2017-02-13 19:41 rhertzog Note Added: 0006385
2017-02-24 11:18 vu4rac0d3 Status closed => feedback
2017-02-24 11:18 vu4rac0d3 Resolution won't fix => reopened
2017-02-24 11:19 vu4rac0d3 Note Added: 0006450
+Issue History